Skip to main content
PATCH
/
api
/
webhooks
/
endpoints
/
{id}
Update Webhook Endpoint
curl --request PATCH \
  --url https://api.rapidly.tech/api/webhooks/endpoints/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://webhook.site/cb791d80-f26e-4f8c-be88-6e56054192b0",
  "secret": "rapidly_whs_ovyN6cPrTv56AApvzCaJno08SSmGJmgbWilb33N2JuK",
  "events": [],
  "enabled": true
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "url": "<string>",
  "secret": "<string>",
  "workspace_id": "<string>",
  "events": [],
  "enabled": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.rapidly.tech/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Create an Workspace Access Token in your workspace's settings page.

Path Parameters

id
string<uuid4>
required

The webhook endpoint ID.

Body

application/json

Input for updating an existing webhook endpoint.

url
string<uri> | null

The URL where the webhook events will be sent.

Required string length: 1 - 2083
Example:

"https://webhook.site/cb791d80-f26e-4f8c-be88-6e56054192b0"

secret
string | null
deprecated

The secret used to sign the webhook events.

Minimum string length: 32
Example:

"rapidly_whs_ovyN6cPrTv56AApvzCaJno08SSmGJmgbWilb33N2JuK"

format
enum<string> | null

The format of the webhook payload.

Available options:
raw,
discord,
slack
events
enum<string>[] | null

The events that will trigger the webhook.

All webhook event types emitted by the platform.

Available options:
customer.created,
customer.updated,
customer.deleted,
customer.state_changed,
share.created,
share.updated,
workspace.updated,
file_sharing_session.created,
file_sharing_session.download_completed,
file_sharing_session.expired,
file_sharing_session.payment_received
enabled
boolean | null

Whether the webhook endpoint is enabled.

Response

Webhook endpoint updated.

A registered webhook endpoint.

created_at
string<date-time>
required

Creation timestamp of the object.

modified_at
string<date-time> | null
required

Last modification timestamp of the object.

id
string<uuid4>
required

The ID of the object.

url
string<uri>
required

The URL where the webhook events will be sent.

Required string length: 1 - 2083
Example:

"https://webhook.site/cb791d80-f26e-4f8c-be88-6e56054192b0"

format
enum<string>
required

The format of the webhook payload.

Available options:
raw,
discord,
slack
secret
string
required

The secret used to sign the webhook events.

Example:

"rapidly_whs_ovyN6cPrTv56AApvzCaJno08SSmGJmgbWilb33N2JuK"

workspace_id
string<uuid4>
required

The workspace ID associated with the webhook endpoint.

events
enum<string>[]
required

The events that will trigger the webhook.

All webhook event types emitted by the platform.

Available options:
customer.created,
customer.updated,
customer.deleted,
customer.state_changed,
share.created,
share.updated,
workspace.updated,
file_sharing_session.created,
file_sharing_session.download_completed,
file_sharing_session.expired,
file_sharing_session.payment_received
enabled
boolean
required

Whether the webhook endpoint is enabled and will receive events.